Subject: Re: bug#22737: 25.1; Finalizer should be optional in dynamic modules

From: Eli Zaretskii <[email-masked]>
Date: Wed, 24 Feb 2016 05:40:13 +0200

> Date: Tue, 23 Feb 2016 16:47:12 -0600
> From: Jess Balint <[email-masked]>
> Cc: [email-masked]
> 
> If the data is unspecified it doesn't *necessarily* need to be freed. If I return a pointer to some global data then
> I need to create a no-op finalizer just to please this GC code. In some cases I will be managing memory a bit
> more manually and don't care to have Emacs doing anything for me.

I don't think I follow.  How can you manage memory manually when Emacs
does GC whenever it feels like it?  The memory of the objects it GCs
will simply be leaked if you don't have a finalizer.

Can you describe a specific use case where a finalizer would not be
needed?

Thanks.